Name:           mediawiki-rss
Version:        1.5
Release:        4%{?dist}
Summary:        Displays an RSS feed on a mediawiki page

Group:          Applications/Internet
# The license is the default license for all code from Mediawiki if not specified. 
# Reference: http://meta.wikimedia.org/wiki/User_talk:Mutante#RSS_Extension_Licensing
# The original author confirmed that this is the license he wishes to use.
License:        CC-BY-SA
URL:            http://www.mediawiki.org/wiki/Extension:RSS
# Source available at: http://www.mediawiki.org/wiki/Extension:RSS
Source0:        mediawiki-rss-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki >= 0.14
Requires:       php-magpierss >= 0.72

%description
Displays an RSS feed on a mediawiki page. Supports filtering-out 
(i.e. grep -v) items based on title when in short list mode. 
Furthermore it only displays unique titles.

%prep
%setup -q

%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/
install -cpm 644 rss.php $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/rss.php
%doc README

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 12 2009 Clint Savage <herlo@fedoraproject.org> 1.5-2
- Updated the license
* Fri Jul 3 2009 Clint Savage <herlo@fedoraproject.org> 1.5-1
- Initial rpm package
